using DrWatson
@quickactivate "StochApprox"

using Revise
using saControlLimits
import saControlLimits: spsaCL
using StatsBase
using ArgParse
using Random, Distributions
using DataFrames
using Latexify
using Plots, StatsPlots
using JLD2

include(srcdir("settings", "settings.jl"))

DrWatson._wsave(s, fig::P) where P <: Plots.Plot = savefig(fig, s)
DrWatson.default_allowed(c) = (Real, String, Symbol, Vector)
DrWatson.savename(S::Settings, suffix::String) = savename(struct2ntuple(S.PROC), suffix)
