using saControlLimits
using Test



@testset "Single chart" begin
    ARL0 = 200
    delta = 1.0
    par0 = [1.0]
    opt = spsaCL(log.(par0), 0.5, runCUSUM, ARL0, delta, verbose = true)

    ncond = 10000
    tmp = [runSimSP(opt[:opt], ARL0, 10*ARL0, delta, [1.0, 1.0]) for _ in 1:ncond]
    IC = sum(tmp[i][:rl][1] for i in 1:ncond)/ncond
    OC = sum(tmp[i][:rl][2] for i in 1:ncond)/ncond
    println("opt: $(opt[:opt])")
    println("delta: $(delta[1])")
    println("ARL0: $(IC)")
    println("ARL1: $(OC)")
end
